## liggghts 3.0.2+repack

=== debian/changelog ===
liggghts (3.0.2+repack-1) unstable; urgency=medium

  * [ae36cd8] Add Files-Excluded to copyright-file.
  * [b745737] Exclude LAMMPS-examples.
  * [61a906b] Imported Upstream version 3.0.2+repack
  * [2566925] Set minimal vtk6 version to 6.1.0+dfsg-7.
  * [fb1a0c1] Add libxdmf-dev to BD.
  * [268930b] Remove .gitignore from examples.

 -- Anton Gladky <gladk@debian.org>  Sun, 15 Jun 2014 19:49:34 +0200

liggghts (3.0.1+repack-2) unstable; urgency=medium

  * [84cab80] Fix autopkgtest. (Closes: #747339)

 -- Anton Gladky <gladk@debian.org>  Sat, 17 May 2014 22:53:31 +0200

liggghts (3.0.1+repack-1) unstable; urgency=medium

  * [f333916] Imported Upstream version 3.0.1+repack
  * [ce0d980] Build against VTK6 instead of VTK5.
  * [f8e3515] Add autotest.
  * [833caea] Set Standards-Version: 3.9.5. No changes.

 -- Anton Gladky <gladk@debian.org>  Wed, 23 Apr 2014 22:21:33 +0200

=== debian/control ===
Source: liggghts
Section: science
Priority: extra
Build-Depends:
 cmake,
 debhelper (>= 9),
 libboost-mpi-dev,
 libeigen3-dev,
 libjpeg-dev,
 libpython-dev,
 libqt4-opengl-dev,
 libvtk6-dev (>= 6.1.0+dfsg-7),
 libxdmf-dev,
 mpi-default-bin,
 mpi-default-dev
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Anton Gladky <gladk@debian.org>
Homepage: http://www.liggghts.com/
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/debian-science/packages/liggghts.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/liggghts.git
XS-Testsuite: autopkgtest

Package: libliggghts-dev
Architecture: any
Section: libdevel
Pre-Depends:
 ${misc:Pre-Depends}
Multi-Arch: same
Depends:
 libliggghts3 (= ${binary:Version}),
 mpi-default-bin,
 ${misc:Depends},
 ${shlibs:Depends}
Description: Open Source DEM Particle Simulation Software. Development files
 LIGGGHTS stands for LAMMPS improved for general granular and granular
 heat transfer simulations.
 .
 LAMMPS is a classical molecular dynamics simulator. It is widely used in
 the field of Molecular Dynamics. Thanks to physical and algorithmic analogies,
 LAMMPS is a very good platform for DEM simulations. LAMMPS offers a GRANULAR
 package to perform these kind of simulations. LIGGGHTS aims to improve those
 capability with the goal to apply it to industrial applications.
 Development version.
 .
 The package contains development files.

Package: libliggghts3
Architecture: any
Depends:
 mpi-default-bin,
 ${misc:Depends},
 ${shlibs:Depends}
Pre-Depends:
 ${misc:Pre-Depends}
Multi-Arch: same
Description: Open Source DEM Particle Simulation Software. Shared library
 LIGGGHTS stands for LAMMPS improved for general granular and granular
 heat transfer simulations.
 .
 LAMMPS is a classical molecular dynamics simulator. It is widely used in
 the field of Molecular Dynamics. Thanks to physical and algorithmic analogies,
 LAMMPS is a very good platform for DEM simulations. LAMMPS offers a GRANULAR
 package to perform these kind of simulations. LIGGGHTS aims to improve those
 capability with the goal to apply it to industrial applications.
 Development version.
 .
 The package contains shared library.

Package: libliggghts3-dbg
Architecture: any
Section: debug
Pre-Depends:
 ${misc:Pre-Depends}
Multi-Arch: same
Depends:
 liggghts (= ${binary:Version}),
 mpi-default-bin,
 ${misc:Depends},
 ${shlibs:Depends}
Description: Open Source DEM Particle Simulation Software. Debugging symbols
 LIGGGHTS stands for LAMMPS improved for general granular and granular
 heat transfer simulations.
 .
 LAMMPS is a classical molecular dynamics simulator. It is widely used in
 the field of Molecular Dynamics. Thanks to physical and algorithmic analogies,
 LAMMPS is a very good platform for DEM simulations. LAMMPS offers a GRANULAR
 package to perform these kind of simulations. LIGGGHTS aims to improve those
 capability with the goal to apply it to industrial applications.
 Development version.
 .
 The package contains debugging symbols.

Package: liggghts
Architecture: any
Multi-Arch: foreign
Depends:
 libliggghts3 (>= ${source:Version}),
 mpi-default-bin,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 paraview
Description: Open Source DEM Particle Simulation Software.
 LIGGGHTS stands for LAMMPS improved for general granular and granular
 heat transfer simulations.
 .
 LAMMPS is a classical molecular dynamics simulator. It is widely used in
 the field of Molecular Dynamics. Thanks to physical and algorithmic analogies,
 LAMMPS is a very good platform for DEM simulations. LAMMPS offers a GRANULAR
 package to perform these kind of simulations. LIGGGHTS aims to improve those
 capability with the goal to apply it to industrial applications.
 Development version.

Package: liggghts-doc
Architecture: all
Section: doc
Depends:
 mpi-default-bin,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 liggghts
Description: Open Source DEM Particle Simulation Software. Dcoumentation and examples
 LIGGGHTS stands for LAMMPS improved for general granular and granular
 heat transfer simulations.
 .
 LAMMPS is a classical molecular dynamics simulator. It is widely used in
 the field of Molecular Dynamics. Thanks to physical and algorithmic analogies,
 LAMMPS is a very good platform for DEM simulations. LAMMPS offers a GRANULAR
 package to perform these kind of simulations. LIGGGHTS aims to improve those
 capability with the goal to apply it to industrial applications.
 Development version.
 .
 The package contains documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f
BUILDDIR = $(CURDIR)/debian/build

%:
	dh $@ --buildsystem=cmake --builddirectory=$(BUILDDIR) --parallel

export OMPI_MCA_plm_rsh_agent=/bin/false		#workaround to start MPI-applications in chroot
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

disable_auto_test_archs_simpl = armel armhf 
disable_auto_test_archs_mpi = hurd-i386 mips mipsel s390 s390x

override_dh_auto_test:
ifeq (,$(filter $(DEB_HOST_ARCH),$(disable_auto_test_archs_mpi)))
	mkdir test
	cp -r examples/LIGGGHTS/Tutorials_public/heatTransfer_1/* test/
	cd test; mpirun -np 2 $(BUILDDIR)/src/liggghts < in.heatGran
	rm -rf test
endif
ifeq (,$(filter $(DEB_HOST_ARCH),$(disable_auto_test_archs_simple)))
	mkdir test
	cp -r  examples/LIGGGHTS/Tutorials_public/heatTransfer_1/* test/
	cd test; $(BUILDDIR)/src/liggghts < in.heatGran
	rm -rf test
endif

override_dh_strip:
	dh_strip --dbg-package=libliggghts3-dbg

override_dh_installexamples:
	dh_installexamples
	find $(CURDIR)/debian/ -name ".gitignore" | xargs rm -f

## liggghts 3.0.3+repack

=== debian/changelog ===
liggghts (3.0.3+repack-2) unstable; urgency=medium

  * [57ea03a] Specify components for VTK. (Closes: #765106).
  * [a8da87d] Set Standards-Version: 3.9.6. No changes.

 -- Anton Gladky <gladk@debian.org>  Tue, 14 Oct 2014 22:56:37 +0200

liggghts (3.0.3+repack-1) unstable; urgency=medium

  * [d604745] Remove xdmf from BD.
  * [43935b3] Imported Upstream version 3.0.3+repack

 -- Anton Gladky <gladk@debian.org>  Sun, 07 Sep 2014 20:23:50 +0200

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,14 @@
  libjpeg-dev,
  libpython-dev,
  libqt4-opengl-dev,
- libvtk6-dev (>= 6.1.0+dfsg-7),
- libxdmf-dev,
+ libvtk6-dev (>= 6.1.0+dfsg-8),
  mpi-default-bin,
  mpi-default-dev
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Anton Gladky <gladk@debian.org>
 Homepage: http://www.liggghts.com/
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/liggghts.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/liggghts.git
 XS-Testsuite: autopkgtest

## liggghts 3.1.0+repack1

=== src/Makefile ===
# LAMMPS multiple-machine Makefile

SHELL = /bin/bash
#.IGNORE:

# Definitions

ROOT =	lmp
EXE =	$(ROOT)_$@
SRC =	$(wildcard *.cpp)
INC =	$(wildcard *.h)
OBJ = 	$(SRC:.cpp=.o)

# Package variables

PACKAGE = asphere body class2 colloid dipole fld gpu granular kim \
	  kspace manybody mc meam misc molecule opt peri poems reax replica \
	  rigid shock srd voronoi xtc

PACKUSER = user-atc user-awpmd user-cg-cmm user-colvars \
	   user-cuda user-eff user-lb user-misc user-omp user-molfile \
	   user-phonon user-reaxc user-sph

PACKLIB = gpu kim meam poems reax voronoi \
	  user-atc user-awpmd user-colvars user-cuda user-molfile

PACKALL = $(PACKAGE) $(PACKUSER)

PACKAGEUC = $(shell echo $(PACKAGE) | tr a-z A-Z)
PACKUSERUC = $(shell echo $(PACKUSER) | tr a-z A-Z)

YESDIR = $(shell echo $(@:yes-%=%) | tr a-z A-Z)
NODIR  = $(shell echo $(@:no-%=%) | tr a-z A-Z)

# List of all targets

help:
	@echo ''
	@echo 'make clean-all           delete all object files'
	@echo 'make clean-machine       delete object files for one machine'
	@echo 'make purge               purge obsolete copies of package sources'
	@echo 'make tar                 create lmp_src.tar.gz of src dir and packages'
	@echo 'make makelib             create Makefile.lib for static library build'
	@echo 'make makeshlib           create Makefile.shlib for shared library build'
	@echo 'make makelist            create Makefile.list used by old makes'
	@echo 'make -f Makefile.lib machine      build LAMMPS as static library for machine'
	@echo 'make -f Makefile.shlib machine    build LAMMPS as shared library for machine'
	@echo 'make -f Makefile.list machine     build LAMMPS from explicit list of files'
	@echo 'make stubs               build dummy MPI library in STUBS'
	@echo 'make install-python      install LAMMPS wrapper in Python'
	@echo ''
	@echo 'make package             list available packages'
	@echo 'make package-status      status of all packages'
	@echo 'make yes-package         install a single package in src dir'
	@echo 'make no-package          remove a single package from src dir'
	@echo 'make yes-all             install all packages in src dir'
	@echo 'make no-all              remove all packages from src dir'
	@echo 'make yes-standard        install all standard packages'
	@echo 'make no-standard         remove all standard packages'
	@echo 'make yes-user            install all user packages'
	@echo 'make no-user             remove all user packages'
	@echo 'make no-lib              remove all packages with external libs'
	@echo ''
	@echo 'make package-update      replace src files with package files'
	@echo 'make package-overwrite   replace package files with src files'
	@echo 'make package-diff        diff src files against package files'
	@echo ''
	@echo 'make machine             build LAMMPS where machine is one of:'
	@echo ''
	@files="`ls MAKE/Makefile.*`"; \
	  for file in $$files; do head -1 $$file; done
	@echo ''

# Build the code

.DEFAULT:
	@test -f MAKE/Makefile.$@
	@if [ ! -d Obj_$@ ]; then mkdir Obj_$@; fi
	@$(SHELL) Make.sh style
	@$(SHELL) Make.sh models
	@cp MAKE/Makefile.$@ Obj_$@/Makefile
	@if [ ! -e Makefile.package ]; \
	  then cp Makefile.package.empty Makefile.package; fi
	@if [ ! -e Makefile.package.settings ]; \
	  then cp Makefile.package.settings.empty Makefile.package.settings; fi
	@cp Makefile.package Makefile.package.settings Obj_$@
	@cd Obj_$@; \
	$(MAKE) $(MFLAGS) "OBJ = $(OBJ)" "INC = $(INC)" "SHFLAGS =" \
	  "EXE = ../$(EXE)" ../$(EXE)

# Remove machine-specific object files

clean:
	@echo 'make clean-all           delete all object files'
	@echo 'make clean-machine       delete object files for one machine'

clean-all:
	rm -rf Obj_* *.a

clean-%:
	rm -rf Obj_$(@:clean-%=%)

purge: Purge.list
	@echo 'Purging obsolete and auto-generated source files'
	@for f in `grep -v '#' Purge.list` ;		\
	    do test -f $$f && rm $$f && echo $$f || : ;		\
	done

# Create a tarball of src dir and packages

tar:
	@cd STUBS; make clean
	@cd ..; tar cvzf src/$(ROOT)_src.tar.gz \
	  src/Make* src/Package.sh src/MAKE src/*.cpp src/*.h src/STUBS \
	  $(patsubst %,src/%,$(PACKAGEUC)) $(patsubst %,src/%,$(PACKUSERUC)) \
          --exclude=*/.svn
	@cd STUBS; make
	@echo "Created $(ROOT)_src.tar.gz"

# Make MPI STUBS library

stubs:
	@cd STUBS; make clean; make

# Create Makefile.lib, Makefile.shlib, and Makefile.list

makelib:
	@$(SHELL) Make.sh style
	@$(SHELL) Make.sh Makefile.lib

makeshlib:
	@$(SHELL) Make.sh style
	@$(SHELL) Make.sh Makefile.shlib

makelist:
	@$(SHELL) Make.sh style
	@$(SHELL) Make.sh Makefile.list

# install LAMMPS shared lib and Python wrapper for Python usage

install-python:
	@python ../python/install.py

# Package management

package:
	@echo 'Standard packages:' $(PACKAGE)
	@echo ''
	@echo 'User-contributed packages:' $(PACKUSER)
	@echo ''
	@echo 'make package             list available packages'
	@echo 'make package-status      status of all packages'
	@echo 'make yes-package         install a single package in src dir'
	@echo 'make no-package          remove a single package from src dir'
	@echo 'make yes-all             install all packages in src dir'
	@echo 'make no-all              remove all packages from src dir'
	@echo 'make yes-standard        install all standard packages'
	@echo 'make no-standard         remove all standard packages'
	@echo 'make yes-user            install all user packages'
	@echo 'make no-user             remove all user packages'
	@echo 'make no-lib              remove all packages with external libs'
	@echo ''
	@echo 'make package-update      replace src files with package files'
	@echo 'make package-overwrite   replace package files with src files'
	@echo 'make package-diff        diff src files against package file'

yes-all:
	@for p in $(PACKALL); do $(MAKE) yes-$$p; done

no-all:
	@for p in $(PACKALL); do $(MAKE) no-$$p; done

yes-standard:
	@for p in $(PACKAGE); do $(MAKE) yes-$$p; done

no-standard:
	@for p in $(PACKAGE); do $(MAKE) no-$$p; done

yes-user:
	@for p in $(PACKUSER); do $(MAKE) yes-$$p; done

no-user:
	@for p in $(PACKUSER); do $(MAKE) no-$$p; done

no-lib:
	@for p in $(PACKLIB); do $(MAKE) no-$$p; done

yes-%:
	@if [ ! -e Makefile.package ]; \
	  then cp Makefile.package.empty Makefile.package; fi
	@if [ ! -e Makefile.package.settings ]; \
	  then cp Makefile.package.settings.empty Makefile.package.settings; fi
	@if [ ! -e $(YESDIR) ]; then \
	  echo "Package $(@:yes-%=%) does not exist"; \
	elif [ -e $(YESDIR)/Install.sh ]; then \
	  echo "Installing package $(@:yes-%=%)"; \
	  cd $(YESDIR); $(SHELL) Install.sh 1; cd ..; \
		$(SHELL) Depend.sh $(YESDIR) 1; \
	else \
	  echo "Installing package $(@:yes-%=%)"; \
	  cd $(YESDIR); $(SHELL) ../Install.sh 1; cd ..; \
		$(SHELL) Depend.sh $(YESDIR) 1; \
	fi;

no-%:
	@if [ ! -e $(NODIR) ]; then \
	  echo "Package $(@:no-%=%) does not exist"; \
	elif [ -e $(NODIR)/Install.sh ]; then \
	  echo "Uninstalling package $(@:no-%=%)"; \
	  cd $(NODIR); $(SHELL) Install.sh 0; cd ..; \
		$(SHELL) Depend.sh $(NODIR) 0; \
	else \
	  echo "Uninstalling package $(@:no-%=%)"; \
	  cd $(NODIR); $(SHELL) ../Install.sh 0; cd ..; \
		$(SHELL) Depend.sh $(NODIR) 0; \
        fi;

# status = list src files that differ from package files
# update = replace src files with newer package files
# overwrite = overwrite package files with newer src files
# diff = show differences between src and package files

package-status:
	@for p in $(PACKAGEUC); do $(SHELL) Package.sh $$p status; done
	@echo ''
	@for p in $(PACKUSERUC); do $(SHELL) Package.sh $$p status; done

package-update:
	@for p in $(PACKAGEUC); do $(SHELL) Package.sh $$p update; done
	@echo ''
	@for p in $(PACKUSERUC); do $(SHELL) Package.sh $$p update; done

package-overwrite:
	@for p in $(PACKAGEUC); do $(SHELL) Package.sh $$p overwrite; done
	@echo ''
	@for p in $(PACKUSERUC); do $(SHELL) Package.sh $$p overwrite; done

package-diff:
	@for p in $(PACKAGEUC); do $(SHELL) Package.sh $$p diff; done
	@echo ''
	@for p in $(PACKUSERUC); do $(SHELL) Package.sh $$p diff; done

=== debian/changelog ===
liggghts (3.1.0+repack1-1) unstable; urgency=medium

  * [6ac272b] Use cme fix dpkg-control.

 -- Anton Gladky <gladk@debian.org>  Wed, 06 May 2015 22:16:12 +0200

liggghts (3.1.0+repack1-1~exp1) experimental; urgency=medium

  * [4d4603b] Add some more files to exclude in d/copyright.
  * [39f1279] Imported Upstream version 3.1.0+repack1
  * [ea63dab] Update patches.
  * [a0b9219] Enable C++11 for build.
  * [c74e08e] Remove README.source.

 -- Anton Gladky <gladk@debian.org>  Tue, 17 Mar 2015 21:46:02 +0100

## liggghts 3.2.0+repack1

=== src/CMakeLists.txt ===
# ENABLE_PACKAGE: enable PACKAGE-modules (OFF by default)
# ENABLE_PACKAGEUSER: enable PACKAGEUSER-modules (OFF by default)
# SUFFIX: add sufix to binary-name (NONE by default)
# USERPATH: use RPATH for search of the shared library libliggghts, need to be switched on by packaging (ON by default)
# VERSION: version number (2.2 by default)
# LIB_SUFFIX: suffix, where libliggghts library will be installed, lib/${LIB_SUFFIX} (NONE by default)

PROJECT(LIGGGHTS C CXX)
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

SET(CMAKE_VERBOSE_MAKEFILE 1)
SET(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cMake")

SET(VERSION 2.2)
SET(USERPATH 1)
#=======================================

IF (NOT CMAKE_CXX_FLAGS)
  #If flags are not set, add default flags
  SET(CMAKE_BUILD_TYPE Release)
  SET(CMAKE_CXX_FLAGS  " -Wall -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security")
ENDIF (NOT CMAKE_CXX_FLAGS)

#=======================================

INCLUDE(FindVTK)
FIND_PACKAGE(VTK COMPONENTS Common)
IF(VTK_FOUND)
  INCLUDE_DIRECTORIES(${VTK_INCLUDE_DIRS})
  LINK_DIRECTORIES(${VTK_LIBRARY_DIRS})
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DLAMMPS_VTK")
  MESSAGE(STATUS "Found VTK")
ELSE(VTK_FOUND)
  MESSAGE(STATUS "VTK NOT found!")
ENDIF(VTK_FOUND)

#=======================================

INCLUDE(FindJPEG)
IF(JPEG_FOUND)
  INCLUDE_DIRECTORIES(${JPEG_INCLUDE_DIR})
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DLAMMPS_JPEG")
ELSE(JPEG_FOUND)
  MESSAGE(STATUS "JPEG NOT found!")
ENDIF(JPEG_FOUND)

#=======================================

INCLUDE(FindMPI)
IF(MPI_C_FOUND AND MPI_CXX_FOUND)
  SET(CMAKE_C_COMPILER ${MPI_C_COMPILER})
  SET(CMAKE_CXX_COMPILER ${MPI_CXX_COMPILER})
ELSE(MPI_C_FOUND AND MPI_CXX_FOUND)
  #Check old FindMPI version
  IF(MPI_COMPILER)
    SET(CMAKE_C_COMPILER ${MPI_COMPILER})
    SET(CMAKE_CXX_COMPILER ${MPI_COMPILER})
  ELSE(MPI_COMPILER)
    MESSAGE(FATAL_ERROR "MPI-COMPILER NOT found!")
  ENDIF(MPI_COMPILER)
ENDIF(MPI_C_FOUND AND MPI_CXX_FOUND)

#=======================================

#Disabled modules
#GPU KIM MEAM POEMS REAX SRD
IF(ENABLE_PACKAGE)
  SET(MODULES_PACKAGE ASPHERE CLASS2 COLLOID DIPOLE FLD  GRANULAR KSPACE MANYBODY MC MOLECULE OPT PERI REPLICA SHOCK  XTC)
ENDIF(ENABLE_PACKAGE)
#Disabled modules
#USER-MISC
IF(ENABLE_PACKAGEUSER)
  SET(MODULES_USER USER-ATC USER-AWPMD USER-CG-CMM USER-CUDA USER-EFF USER-EWALDN USER-OMP USER-REAXC USER-SPH)
ENDIF(ENABLE_PACKAGEUSER)
#=======================================

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/src)

ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/src")

=== debian/changelog ===
liggghts (3.2.0+repack1-2ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2015 08:12:32 +0000

liggghts (3.2.0+repack1-2) unstable; urgency=medium

  * [7db5a48] Update d/watch.
  * [ba29637] Update d/copyright.
  * [b81a33d] Refresh patches.
  * [9d49744] Imported Upstream version 3.2.0+repack1

 -- Anton Gladky <gladk@debian.org>  Mon, 22 Jun 2015 18:17:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,37 +1,34 @@
 Source: liggghts
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Anton Gladky <gladk@debian.org>
 Section: science
+Testsuite: autopkgtest
 Priority: extra
-Build-Depends:
- cmake,
- debhelper (>= 9),
- libboost-mpi-dev,
- libeigen3-dev,
- libjpeg-dev,
- libpython-dev,
- libqt4-opengl-dev,
- libvtk6-dev (>= 6.1.0+dfsg-8),
- mpi-default-bin,
- mpi-default-dev
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders:
- Anton Gladky <gladk@debian.org>
+Build-Depends: cmake,
+               debhelper (>= 9),
+               libboost-mpi-dev,
+               libeigen3-dev,
+               libjpeg-dev,
+               libpython-dev,
+               libqt4-opengl-dev,
+               libvtk6-dev,
+               mpi-default-bin,
+               mpi-default-dev
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/liggghts.git
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/liggghts.git
 Homepage: http://www.liggghts.com/
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/liggghts.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/liggghts.git
-XS-Testsuite: autopkgtest
 
 Package: libliggghts-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Pre-Depends:
- ${misc:Pre-Depends}
-Multi-Arch: same
-Depends:
- libliggghts3 (= ${binary:Version}),
- mpi-default-bin,
- ${misc:Depends},
- ${shlibs:Depends}
+Depends: libliggghts3v5 (= ${binary:Version}),
+         mpi-default-bin,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: Open Source DEM Particle Simulation Software. Development files
  LIGGGHTS stands for LAMMPS improved for general granular and granular
  heat transfer simulations.
@@ -45,15 +42,15 @@
  .
  The package contains development files.
 
-Package: libliggghts3
+Package: libliggghts3v5
 Architecture: any
-Depends:
- mpi-default-bin,
- ${misc:Depends},
- ${shlibs:Depends}
-Pre-Depends:
- ${misc:Pre-Depends}
 Multi-Arch: same
+Depends: mpi-default-bin,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Conflicts: libliggghts3
+Replaces: libliggghts3
 Description: Open Source DEM Particle Simulation Software. Shared library
  LIGGGHTS stands for LAMMPS improved for general granular and granular
  heat transfer simulations.
@@ -67,17 +64,17 @@
  .
  The package contains shared library.
 
-Package: libliggghts3-dbg
+Package: libliggghts3v5-dbg
 Architecture: any
+Multi-Arch: same
 Section: debug
-Pre-Depends:
- ${misc:Pre-Depends}
-Multi-Arch: same
-Depends:
- liggghts (= ${binary:Version}),
- mpi-default-bin,
- ${misc:Depends},
- ${shlibs:Depends}
+Depends: liggghts (= ${binary:Version}),
+         mpi-default-bin,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Conflicts: libliggghts3-dbg
+Replaces: libliggghts3-dbg
 Description: Open Source DEM Particle Simulation Software. Debugging symbols
  LIGGGHTS stands for LAMMPS improved for general granular and granular
  heat transfer simulations.
@@ -94,13 +91,11 @@
 Package: liggghts
 Architecture: any
 Multi-Arch: foreign
-Depends:
- libliggghts3 (>= ${source:Version}),
- mpi-default-bin,
- ${misc:Depends},
- ${shlibs:Depends}
-Recommends:
- paraview
+Depends: libliggghts3v5 (>= ${source:Version}),
+         mpi-default-bin,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: paraview
 Description: Open Source DEM Particle Simulation Software.
  LIGGGHTS stands for LAMMPS improved for general granular and granular
  heat transfer simulations.
@@ -115,12 +110,10 @@
 Package: liggghts-doc
 Architecture: all
 Section: doc
-Depends:
- mpi-default-bin,
- ${misc:Depends},
- ${shlibs:Depends}
-Recommends:
- liggghts
+Depends: mpi-default-bin,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: liggghts
 Description: Open Source DEM Particle Simulation Software. Dcoumentation and examples
  LIGGGHTS stands for LAMMPS improved for general granular and granular
  heat transfer simulations.

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 endif
 
 override_dh_strip:
-	dh_strip --dbg-package=libliggghts3-dbg
+	dh_strip --dbg-package=libliggghts3v5-dbg
 
 override_dh_installexamples:
 	dh_installexamples

## liggghts 3.3.1+repack1

=== src/CMakeLists.txt ===
PROJECT(LIGGGHTS C CXX)
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

SET(LIGGGHTS_MAJOR_VERSION 3)
SET(LIGGGHTS_MINOR_VERSION 2)
SET(LIGGGHTS_PATCH_VERSION 1)
SET(LIGGGHTS_VERSION ${LIGGGHTS_MAJOR_VERSION}.${LIGGGHTS_MINOR_VERSION}.${LIGGGHTS_PATCH_VERSION})

IF (NOT CMAKE_CXX_FLAGS)
  IF(CMAKE_COMPILER_IS_GNUCXX)
    SET(CMAKE_CXX_FLAGS "-O2 -funroll-loops -fstrict-aliasing -Wall -Wno-uninitialized -std=c++11 -Wno-literal-suffix")
  ENDIF()
ENDIF()

FILE(GLOB SOURCES *.cpp)
#LIST(REMOVE_ITEM SOURCES main.cpp)

IF(WIN32)
  #include (GenerateExportHeader)
  INCLUDE_DIRECTORIES(WINDOWS/extra)
  ADD_DEFINITIONS(-D_USE_MATH_DEFINES -DNOMINMAX)

  IF(MSVC)
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /bigobj")
  ENDIF()

  FIND_PACKAGE(Cygwin REQUIRED)

  ADD_CUSTOM_TARGET(GenerateHeaders
           COMMAND GenerateHeaders.bat ${CYGWIN_INSTALL_PATH}
           WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/WINDOWS)
ELSE()
  ADD_CUSTOM_TARGET(GenerateHeaders
           COMMAND sh Make.sh style
           COMMAND sh Make.sh models
           WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
ENDIF()

#ADD_LIBRARY(liggghts STATIC ${SOURCES})
#ADD_LIBRARY(liggghts SHARED ${SOURCES})
#GENERATE_EXPORT_HEADER( liggghts
#             BASE_NAME liggghts
#             EXPORT_MACRO_NAME liggghts_EXPORT
#             EXPORT_FILE_NAME liggghts_Export.h
#             STATIC_DEFINE liggghts_BUILT_AS_STATIC
#)
#ADD_DEPENDENCIES(liggghts GenerateHeaders)

#ADD_EXECUTABLE(liggghts_bin main.cpp)
ADD_EXECUTABLE(liggghts_bin ${SOURCES})
#TARGET_LINK_LIBRARIES(liggghts_bin liggghts)
ADD_DEPENDENCIES(liggghts_bin GenerateHeaders)
SET_TARGET_PROPERTIES(liggghts_bin PROPERTIES OUTPUT_NAME liggghts)

#=======================================

FIND_PACKAGE(VTK NO_MODULE)

IF(VTK_FOUND)
  INCLUDE(${VTK_USE_FILE})
  ADD_DEFINITIONS(-DLAMMPS_VTK)
#  TARGET_LINK_LIBRARIES(liggghts ${VTK_LIBRARIES})
  TARGET_LINK_LIBRARIES(liggghts_bin ${VTK_LIBRARIES})
  MESSAGE(STATUS "Found VTK")
ELSE(VTK_FOUND)
  MESSAGE(STATUS "VTK NOT found!")
ENDIF(VTK_FOUND)

#=======================================

FIND_PACKAGE(JPEG)

IF(JPEG_FOUND)
  INCLUDE_DIRECTORIES(${JPEG_INCLUDE_DIR})
  ADD_DEFINITIONS(-DLAMMPS_JPEG)
  #TARGET_LINK_LIBRARIES(liggghts jpeg)
  TARGET_LINK_LIBRARIES(liggghts_bin jpeg)
ELSE(JPEG_FOUND)
  MESSAGE(STATUS "JPEG NOT found!")
ENDIF(JPEG_FOUND)

#=======================================

FIND_PACKAGE(MPI)

IF(MPI_FOUND)
  INCLUDE_DIRECTORIES(${MPI_INCLUDE_PATH})
#  TARGET_LINK_LIBRARIES(liggghts ${MPI_LIBRARIES})
  TARGET_LINK_LIBRARIES(liggghts_bin ${MPI_LIBRARIES})

  IF(MPI_COMPILE_FLAGS)
#    SET_TARGET_PROPERTIES(liggghts PROPERTIES COMPILE_FLAGS "${MPI_COMPILE_FLAGS}")
    SET_TARGET_PROPERTIES(liggghts_bin PROPERTIES COMPILE_FLAGS "${MPI_COMPILE_FLAGS}")
  ENDIF()

  IF(MPI_LINK_FLAGS)
#    SET_TARGET_PROPERTIES(liggghts PROPERTIES LINK_FLAGS "${MPI_LINK_FLAGS}")
    SET_TARGET_PROPERTIES(liggghts_bin PROPERTIES LINK_FLAGS "${MPI_LINK_FLAGS}")
  ENDIF()
ELSE(MPI_FOUND)
  MESSAGE(STATUS "MPI NOT found! Using MPI Stubs instead.")
  ADD_SUBDIRECTORY(STUBS)
#  TARGET_LINK_LIBRARIES(liggghts mpi_stubs)
  TARGET_LINK_LIBRARIES(liggghts_bin mpi_stubs)
ENDIF(MPI_FOUND)

#=======================================

#install(TARGETS liggghts liggghts_bin
#        RUNTIME DESTINATION bin
#        LIBRARY DESTINATION lib)

install(TARGETS liggghts_bin
        RUNTIME DESTINATION bin
        LIBRARY DESTINATION lib)

=== src/Makefile ===
--- 
+++ 
@@ -13,16 +13,11 @@
 
 # Package variables
 
-PACKAGE = asphere body class2 colloid dipole fld gpu granular kim \
-	  kspace manybody mc meam misc molecule opt peri poems reax replica \
-	  rigid shock srd voronoi xtc
-
-PACKUSER = user-atc user-awpmd user-cg-cmm user-colvars \
-	   user-cuda user-eff user-lb user-misc user-omp user-molfile \
-	   user-phonon user-reaxc user-sph
-
-PACKLIB = gpu kim meam poems reax voronoi \
-	  user-atc user-awpmd user-colvars user-cuda user-molfile
+PACKAGE = asphere cohesionmodels molecule pascal poems rigid surfacemodels voronoi
+
+PACKUSER = 
+
+PACKLIB = poems voronoi 
 
 PACKALL = $(PACKAGE) $(PACKUSER)

=== debian/changelog ===
liggghts (3.3.1+repack1-1build2) xenial; urgency=medium

  * No-change rebuild for openmpi on s390x.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 06 Feb 2016 19:49:42 +0000

liggghts (3.3.1+repack1-1build1) xenial; urgency=medium

  * No-change rebuild for openmpi transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 01 Feb 2016 11:31:00 +0000

liggghts (3.3.1+repack1-1) unstable; urgency=medium

  * [3697863] Imported Upstream version 3.3.1+repack1
  * [662e977] Refresh patches.
  * [df1a7e8] Remove dbg-file.

 -- Anton Gladky <gladk@debian.org>  Sun, 17 Jan 2016 00:55:04 +0100

liggghts (3.2.0+repack1-3) unstable; urgency=medium

  * [62739c0] Add support for VTK6.2. (Closes: #793605)

 -- Anton Gladky <gladk@debian.org>  Tue, 04 Aug 2015 21:14:21 +0200

=== debian/rules ===
--- 
+++ 
@@ -24,9 +24,6 @@
 	rm -rf test
 endif
 
-override_dh_strip:
-	dh_strip --dbg-package=libliggghts3v5-dbg
-
 override_dh_installexamples:
 	dh_installexamples
 	find $(CURDIR)/debian/ -name ".gitignore" | xargs rm -f

=== debian/tests/control ===
Tests: heat packing
Depends: liggghts

## liggghts 3.4.0+repack1

=== debian/changelog ===
liggghts (3.4.0+repack1-2build1) zesty; urgency=medium

  * No-change rebuild against libopenmpi2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 22 Oct 2016 01:36:26 +0000

liggghts (3.4.0+repack1-2) unstable; urgency=medium

  * [ead3d70] Disable mpi-test on powerpc.
  * [6492a8e] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Wed, 27 Jul 2016 00:44:20 +0200

liggghts (3.4.0+repack1-1) unstable; urgency=medium

  * [6a5c2a8] Imported Upstream version 3.4.0+repack1
  * [157da23] Refresh patches.
  * [9a184e0] Apply cme fix dpkg.
  * [ea651a2] Update d/copyright.

 -- Anton Gladky <gladk@debian.org>  Wed, 15 Jun 2016 22:12:40 +0200

=== debian/control ===
--- 
+++ 
@@ -15,16 +15,16 @@
                libvtk6-dev,
                mpi-default-bin,
                mpi-default-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/liggghts.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/liggghts.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/liggghts.git
 Homepage: http://www.liggghts.com/
 
 Package: libliggghts-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libliggghts3v5 (= ${binary:Version}),
+Depends: libliggghts3 (= ${binary:Version}),
          mpi-default-bin,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -42,15 +42,13 @@
  .
  The package contains development files.
 
-Package: libliggghts3v5
+Package: libliggghts3
 Architecture: any
 Multi-Arch: same
 Depends: mpi-default-bin,
          ${misc:Depends},
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Conflicts: libliggghts3
-Replaces: libliggghts3
 Description: Open Source DEM Particle Simulation Software. Shared library
  LIGGGHTS stands for LAMMPS improved for general granular and granular
  heat transfer simulations.
@@ -64,34 +62,10 @@
  .
  The package contains shared library.
 
-Package: libliggghts3v5-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Depends: liggghts (= ${binary:Version}),
-         mpi-default-bin,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
-Conflicts: libliggghts3-dbg
-Replaces: libliggghts3-dbg
-Description: Open Source DEM Particle Simulation Software. Debugging symbols
- LIGGGHTS stands for LAMMPS improved for general granular and granular
- heat transfer simulations.
- .
- LAMMPS is a classical molecular dynamics simulator. It is widely used in
- the field of Molecular Dynamics. Thanks to physical and algorithmic analogies,
- LAMMPS is a very good platform for DEM simulations. LAMMPS offers a GRANULAR
- package to perform these kind of simulations. LIGGGHTS aims to improve those
- capability with the goal to apply it to industrial applications.
- Development version.
- .
- The package contains debugging symbols.
-
 Package: liggghts
 Architecture: any
 Multi-Arch: foreign
-Depends: libliggghts3v5 (>= ${source:Version}),
+Depends: libliggghts3 (>= ${source:Version}),
          mpi-default-bin,
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 disable_auto_test_archs_simpl = armel armhf 
-disable_auto_test_archs_mpi = hurd-i386 mips mipsel s390 s390x
+disable_auto_test_archs_mpi = hurd-i386 mips mipsel s390 s390x powerpc
 
 override_dh_auto_test:
 ifeq (,$(filter $(DEB_HOST_ARCH),$(disable_auto_test_archs_mpi)))

## liggghts 3.5.0+repack1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/LIGGGHTS.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/LIGGGHTS.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/LIGGGHTS"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/LIGGGHTS"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
liggghts (3.5.0+repack1-9) unstable; urgency=medium

  * [a879ac6] Do not fail on mpi-errors. (Closes: #851726)

 -- Anton Gladky <gladk@debian.org>  Wed, 18 Jan 2017 22:46:29 +0100

liggghts (3.5.0+repack1-8) unstable; urgency=medium

  * [2219bae] Fix variable name in d/rules.

 -- Anton Gladky <gladk@debian.org>  Fri, 30 Dec 2016 08:26:31 +0100

liggghts (3.5.0+repack1-7) unstable; urgency=medium

  * [6079250] Disable test on mips64el (unstable).

 -- Anton Gladky <gladk@debian.org>  Fri, 30 Dec 2016 00:24:51 +0100

liggghts (3.5.0+repack1-6) unstable; urgency=medium

  * [96fa01f] Add mips64el to disable_auto_test_archs_mpi in d/rules.

 -- Anton Gladky <gladk@debian.org>  Thu, 29 Dec 2016 20:02:34 +0100

liggghts (3.5.0+repack1-5) unstable; urgency=medium

  [ Graham Inggs ]
  * [fe1b4d7] Replace OMPI_MCA_orte_rsh_agent by OMPI_MCA_plm_rsh_agent
              for autopkgtests too
  * [5037eeb] Allow --oversubscribe for autopkgtests

 -- Anton Gladky <gladk@debian.org>  Wed, 28 Dec 2016 19:01:44 +0100

liggghts (3.5.0+repack1-4) unstable; urgency=medium

  [ Graham Inggs ]
  * Restrictions: allow-stderr on the tests, for compatibility with current
    openmpi.
  * Update autopkgtests with examples from 3.5.0.

  [ Anton Gladky ]
  * Use --parallel build again

 -- Anton Gladky <gladk@debian.org>  Tue, 08 Nov 2016 20:25:41 +0100

liggghts (3.5.0+repack1-2) unstable; urgency=medium

  * [8031b0e] Do not use parallel build. Fails on some platforms.
  * [6a2a7ed] Fix autotests.

 -- Anton Gladky <gladk@debian.org>  Sat, 05 Nov 2016 15:46:43 +0100

liggghts (3.5.0+repack1-1) unstable; urgency=medium

  * [784df99] New upstream version 3.5.0+repack1
  * [4101537] Refresh patches.

 -- Anton Gladky <gladk@debian.org>  Thu, 27 Oct 2016 23:04:19 +0200

=== debian/rules ===
#!/usr/bin/make -f
BUILDDIR = $(CURDIR)/debian/build

%:
	dh $@ --buildsystem=cmake --builddirectory=$(BUILDDIR) --parallel

export OMPI_MCA_plm_rsh_agent=/bin/false		#workaround to start MPI-applications in chroot
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

disable_auto_test_archs_simpl = armel armhf mips64el
disable_auto_test_archs_mpi = hurd-i386 mips mipsel mips64el s390 s390x powerpc

override_dh_auto_test:
ifeq (,$(filter $(DEB_HOST_ARCH),$(disable_auto_test_archs_mpi)))
	mkdir test
	cp -r examples/LIGGGHTS/Tutorials_public/heatTransfer_1/* test/
	cd test; mpirun -np 2 $(BUILDDIR)/src/liggghts < in.heatGran || true
	rm -rf test
endif
ifeq (,$(filter $(DEB_HOST_ARCH),$(disable_auto_test_archs_simpl)))
	mkdir test
	cp -r  examples/LIGGGHTS/Tutorials_public/heatTransfer_1/* test/
	cd test; $(BUILDDIR)/src/liggghts < in.heatGran
	rm -rf test
endif

override_dh_installexamples:
	dh_installexamples
	find $(CURDIR)/debian/ -name ".gitignore" | xargs rm -f

## liggghts 3.7.0%2Brepack1

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
 
 SET(LIGGGHTS_MAJOR_VERSION 3)
-SET(LIGGGHTS_MINOR_VERSION 2)
-SET(LIGGGHTS_PATCH_VERSION 1)
+SET(LIGGGHTS_MINOR_VERSION 7)
+SET(LIGGGHTS_PATCH_VERSION 0)
 SET(LIGGGHTS_VERSION ${LIGGGHTS_MAJOR_VERSION}.${LIGGGHTS_MINOR_VERSION}.${LIGGGHTS_PATCH_VERSION})
 
 IF (NOT CMAKE_CXX_FLAGS)
@@ -29,6 +29,12 @@
   ADD_CUSTOM_TARGET(GenerateHeaders
            COMMAND GenerateHeaders.bat ${CYGWIN_INSTALL_PATH}
            WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/WINDOWS)
+  # enable parallelization
+  foreach(flag_var
+          CMAKE_C_FLAGS_RELEASE CMAKE_C_FLAGS_MINSIZEREL CMAKE_C_FLAGS_RELWITHDEBINFO
+          CMAKE_CXX_FLAGS_RELEASE CMAKE_CXX_FLAGS_MINSIZEREL CMAKE_CXX_FLAGS_RELWITHDEBINFO)
+            set(${flag_var} "${${flag_var}} /MP4")
+  endforeach()
 ELSE()
   ADD_CUSTOM_TARGET(GenerateHeaders
            COMMAND sh Make.sh style
@@ -110,6 +116,8 @@
 #        RUNTIME DESTINATION bin
 #        LIBRARY DESTINATION lib)
 
-install(TARGETS liggghts_bin
-        RUNTIME DESTINATION bin
-        LIBRARY DESTINATION lib)
+#install(TARGETS liggghts_bin
+#        RUNTIME DESTINATION bin
+#        LIBRARY DESTINATION lib)
+
+install(TARGETS liggghts_bin DESTINATION ${CMAKE_INSTALL_PREFIX})

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 export OMPI_MCA_plm_rsh_agent=/bin/false		#workaround to start MPI-applications in chroot
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 disable_auto_test_archs_simpl = armel armhf mips64el
 disable_auto_test_archs_mpi = hurd-i386 mips mipsel mips64el s390 s390x powerpc
@@ -14,7 +15,7 @@
 ifeq (,$(filter $(DEB_HOST_ARCH),$(disable_auto_test_archs_mpi)))
 	mkdir test
 	cp -r examples/LIGGGHTS/Tutorials_public/heatTransfer_1/* test/
-	cd test; mpirun -np 2 $(BUILDDIR)/src/liggghts < in.heatGran || true
+	cd test; mpirun -np 2 --oversubscribe $(BUILDDIR)/src/liggghts < in.heatGran
 	rm -rf test
 endif
 ifeq (,$(filter $(DEB_HOST_ARCH),$(disable_auto_test_archs_simpl)))
